depth: Get Market Depth (Order Book)

API: github.io:huobi
Endpoint: /market/depth
Response format: text/plain
Auth: unknown
Method: GET
Last Status: 200
Latency: 460ms

Description

Returns the order book depth for a specific trading symbol.

Parameters (3)

depth (integer, query, optional)

Number of depth levels to return

symbol (string, query, required)

Trading symbol (e.g., btcusdt)

type (string, query, optional, default: step0)

Depth aggregation type

Constraints: {'enum': ['step0', 'step1', 'step2', 'step3', 'step4', 'step5']}

Examples (2)

Get Market Depth (Order Book) openapi-spec
curl 'https://api.huobi.pro/market/depth?symbol=btcusdt'
import requests

resp = requests.get(
    "https://api.huobi.pro/market/depth",
    params={
        'symbol': 'btcusdt',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("huobi")
result = api.fetch("market/depth", symbol="btcusdt")

for item in result:
    print(item)
const resp = await fetch("https://api.huobi.pro/market/depth?symbol=btcusdt");
const data = await resp.json();
Get Market Depth (Order Book) probe-gate
curl 'https://api.huobi.pro/market/depth?symbol=btcusdt&type=step0'
import requests

resp = requests.get(
    "https://api.huobi.pro/market/depth",
    params={
        'symbol': 'btcusdt',
        'type': 'step0',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("huobi")
result = api.fetch("market/depth", symbol="btcusdt", type="step0")

for item in result:
    print(item)
const resp = await fetch("https://api.huobi.pro/market/depth?symbol=btcusdt&type=step0");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:07:16.307565 200 460ms
2026-04-16 01:27:25.888855 200 598ms
2026-04-15 03:57:42.693602 200 573ms
2026-04-15 03:52:29.827056 200 536ms
2026-04-14 02:53:58.280366 200 427ms
2026-04-14 00:37:02.645840 200 567ms
2026-04-12 16:28:12.419630 200 396ms
2026-04-12 14:45:39.506202 200 389ms
2026-04-10 01:22:21.559702 200 1082ms
2026-04-10 00:14:35.909527 200 311ms
2026-04-09 03:47:05.904992 200 378ms
2026-04-09 02:37:44.541101 200 405ms
2026-03-27T12:42:27.033574 200 352ms